Bug 1168634 - anaconda ext4 shrink "Error checking storage configuration"
Summary: anaconda ext4 shrink "Error checking storage configuration"
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 21
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-11-27 13:06 UTC by Michel Normand
Modified: 2015-12-02 16:35 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-12-02 05:17:11 UTC


Attachments (Terms of Use)
vm46_error_checking_storage.tgz (524.59 KB, application/octet-stream)
2014-11-27 13:07 UTC, Michel Normand
no flags Details

Description Michel Normand 2014-11-27 13:06:33 UTC
Description of problem: anaconda ext4 shrink "Error checking storage configuration"


Version-Release number of selected component (if applicable):
fc21 pre_GA TC2 iso from http://ppc.koji.fedoraproject.org/stage/21_TC2/


How reproducible:


Steps to Reproduce: following the steps described in https://fedoraproject.org/wiki/QA:Testcase_partitioning_guided_shrink 
1. install a ppc64le guest with ext4 FS, verify that able to boot.
2. re-install the same guest and try to shrink the / (root) fs


Actual results:
The Installation Summary GUI reports "Error checking storage configuration"


Additional info:
* The same problem is reported if using ppc64 iso in place of ppc64le iso
* If the guest is initially installed with ext3 in place of ext4, then no such error.

I gathered in attached tarball vm46_error_checking_storage.tgz all the logs from anaconda /tmp/ directory And appended in same tarball some image captures of vnc GUI                                             
==                
anaconda.log                
ifcfg.lo              
packaging.log              
program.log              
sensitive-info.log     
storage.log             
storage.state           
syslog          
vncserver.log        
===        
vm46_shrink_ext4_step0.png 
vm46_shrink_ext4_step1.png
vm46_shrink_ext4_step2_error_checking.png
vm46_shrink_ext4_step4_no_free_change.png     
vm46_shrink_ext4_step5_again.png                      
===

Comment 1 Michel Normand 2014-11-27 13:07:34 UTC
Created attachment 962004 [details]
vm46_error_checking_storage.tgz

Comment 2 Fedora Blocker Bugs Application 2014-11-27 13:30:21 UTC
Proposed as a Blocker for 21-final by Fedora user michelmno using the blocker tracking app because:

 This is a blocker as per criteria of  https://fedoraproject.org/wiki/QA:Testcase_partitioning_guided_shrink
Failure reported for ppc64 and ppc64le secondary architectures with ext4 FS.

Comment 3 Michel Normand 2014-11-27 15:56:17 UTC
I do not know if cause of the problem, but the anaconda.log has only one "ERR" line as extracted here:
===
04:59:33,514 INFO anaconda: setting <pyanaconda.ui.gui.spokes.storage.StorageSpoke object at 0x3fff88c12e50> status to: Saving storage configuration... 
04:59:33,623 ERR anaconda: storage configuration failed: Unable to allocate requested partition scheme. 
04:59:33,705 INFO anaconda: setting <pyanaconda.ui.gui.spokes.storage.StorageSpoke object at 0x3fff88c12e50> status to: Failed to save storage configuration... 
===

Comment 4 Adam Williamson 2014-11-27 17:29:11 UTC
This cannot be a blocker unless it is reproduced on a primary architecture. Can you please test as similar as possible a scenario on an x86 or ARMv7 system? Thanks.

For the record, the anaconda team prefers the logs attached individually as text files, not as one big tarball glob.

Comment 5 Adam Williamson 2014-11-27 17:31:11 UTC
To be clear - by marking this as blocking the 'FinalBlocker / F21FinalBlocker' bug, you've proposed it as a blocker for the official, primary arch Fedora 21 release. If you wanted to propose it as a blocker for the PPC64 release, I believe there is a different tracker bug you should mark it as blocking instead. The blocker proposal webapp that you used doesn't currently support proposing blockers for secondary arch releases, I'm afraid.

Comment 6 Michel Normand 2014-11-28 08:38:33 UTC
I am changing manually the blocker bug ref from primary bug 1043129 to secondary bug 1146698 as suggested in comment 5.

Comment 7 Éric Fintzel 2014-11-28 15:57:07 UTC
I tried to reproduce with iso TC2 on a ppc64 LPAR.
I got the same behavior with following partitions scheme:

sda1     10 MiB    PReP Boot
sda2    512 MiB    /boot
sda3     27 GiB    /
sda4               Extended
sda5      8 GiB    /home
sda6      2 GiB    swap
sda7     12 GiB    /data

During the reinstall, I asked to shrink sda2, and let anaconda perform an automatic LVM partitionning for the new install. Then the "Error checking storage configuration" occured.

But interestingly, if the test is performed with a much simpler initial partition scheme like:

sda1     10 MiB    PReP Boot
sda2     50 GiB    /

Then for reinstall, Anaconda is able to shrink the 50 GiB sda2 partition, create the LVM layout and perform the whole installation without any problem. And at the end, partitions are:

sda1     10 MiB    PReP Boot
sda2     12 GiB    / (root of the first install)
sda3    512 MiB    /boot (second install, boot outside LVM)
sda4               Extended
sda5     38 GiB    Linux LVM (second install)

Comment 8 Dan Horák 2014-12-04 21:19:39 UTC
dropping from Final Blocker as with a simple existing disk layout the shrinking works, but keeping open to track the more complex layout

Comment 9 Fedora End Of Life 2015-11-04 14:47:53 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2015-12-02 05:17:22 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.